//
//  MoreTimeScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct MoreTimeScreen: View {
    
    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                SQText("Profitez de plus de temps pour vous faire votre opinion.", size: 20, font: .bold)
                    .multilineTextAlignment(.center)
                VStack {
                    SQText("+ X jours", size: 32, font: .bold)
                        .foregroundStyle(Color.sqBlue(50))
                    SQText("d’essai supplémentaires pour découvrir toutes les fonctionnalités de l’abonnement Premier.")
                        .multilineTextAlignment(.center)
                }
                SQButton("Je prolonge ma période d’essai", color: .sqBlue(50), textColor: .white) {

                }
            }
            .padding(16)
            .background(Color.sqBlue(10))
            .cornerRadius(8)

            SQButton("Non merci, je souhaite résilier", color: .white, textSize: 13) {

            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
        .padding()
    }
}

#Preview {
    MoreTimeScreen()
}
